<?php
/**
 * * ============================================================================
 * * 版权所有 蜘蛛出行 * *
 * 网站地址: http://www.zhizhuchuxing.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * Created by PhpStorm.
 * User: fuhc
 * Date: 2017/5/16
 * Time: 13:53
 */

namespace fx\controllers\prod;


use common\Controller\FxWebController;
use common\util\EntranceHotelService;

class EntranceHotelController extends FxWebController
{
    public $service = null;

    public function getService()
    {
        if ($this->service == null) {
            $this->service = new EntranceHotelService();
        }
        return $this->service;
    }

    /**
     * Des:酒店销售页面初始化
     * Name: actionInitialize
     * @return string
     * @author 付泓程
     */
    public function actionInitialize()
    {
        $prod_cate_id = $this->_post('prod_cate_id', '3782');
        $result = $this->getService()->getInitialize($prod_cate_id);
        return json_encode($result);
    }
}